## org.apache.commons.configuration
Class HierarchicalConfigurationXMLReader.SAXVisitor

    java.lang.Object
      org.apache.commons.configuration.HierarchicalConfiguration.NodeVisitor
          org.apache.commons.configuration.HierarchicalConfigurationXMLReader.SAXVisitor

Enclosing class:
  HierarchicalConfigurationXMLReader

     class HierarchicalConfigurationXMLReader.SAXVisitor

extends HierarchicalConfiguration.NodeVisitor

A specialized visitor class for generating SAX events for a hierarchical node structure.

Constructor Summary
`HierarchicalConfigurationXMLReader.SAXVisitor()`

Method Summary
`protected Attributes` `fetchAttributes(HierarchicalConfiguration.Node node)` Returns an object with all attributes for the specified node.
`boolean` `terminate()` Checks if iteration should be terminated.
`void` `visitAfterChildren(HierarchicalConfiguration.Node node, ConfigurationKey key)` Visits the specified node after its children have been processed.
`void` `visitBeforeChildren(HierarchicalConfiguration.Node node, ConfigurationKey key)` Visits the specified node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchicalConfigurationXMLReader.SAXVisitor

    HierarchicalConfigurationXMLReader.SAXVisitor()

Method Detail

### visitAfterChildren

    public void visitAfterChildren(HierarchicalConfiguration.Node node,
                                   ConfigurationKey key)

  Visits the specified node after its children have been processed.

  Overrides:
    `visitAfterChildren` in class `HierarchicalConfiguration.NodeVisitor`
  Parameters:
    `node` - the actual node
    `key` - the key of this node

### visitBeforeChildren

    public void visitBeforeChildren(HierarchicalConfiguration.Node node,
                                    ConfigurationKey key)

  Visits the specified node.

  Overrides:
    `visitBeforeChildren` in class `HierarchicalConfiguration.NodeVisitor`
  Parameters:
    `node` - the actual node
    `key` - the key of this node

### terminate

    public boolean terminate()

  Checks if iteration should be terminated. This implementation stops iteration after an exception has occurred.

  Overrides:
    `terminate` in class `HierarchicalConfiguration.NodeVisitor`
  Returns:
    a flag if iteration should be stopped

### fetchAttributes

    protected Attributes fetchAttributes(HierarchicalConfiguration.Node node)

  Returns an object with all attributes for the specified node.

  Parameters:
    `node` - the actual node
  Returns:
    an object with all attributes of this node

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.